
<html>
	<head>
		<link rel="stylesheet" href="style.css">
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
		<script src="https://d3js.org/d3.v5.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.19.2/axios.min.js"></script>
		<!-- <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" crossorigin="anonymous"></script> -->
		<link href="https://fonts.googleapis.com/css2?family=PT+Serif&display=swap" rel="stylesheet">
		<!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.2.2/jquery.min.js"></script> -->
	</head>
	<body>
		<button id="close-connection">Close connection</button>
		<div class="container-fluid">
			<div class="row">
				<div class="col-6">
					<div id="last-message"></div>
					<div id="last-second"></div>
					<div id="chart" class="chart"></div>
				</div>
				<div class="col-6">
					<div id="controls" class="controls">
						<div>
							<label for="nthChart">Every nth message request displayed on chart</label>
							<br>
							<input type="number" id="nthChart" name="nthChart">
						</div>

						<hr>

						<div>
							<label for="frequency">Frequency</label>
							<br>
							<input type="number" id="frequency" name="frequency" readonly>
						</div>

						<hr>
						<div class="container-fluid">
							<div class="row">
								<div class="col-6">
									<div>
										<label for="enableChart">Enable chart</label>
										<br>
										<input type="checkbox" id="enableChart" name="enableChart" checked>
									</div>
								</div>
								<div class="col-6">
									<div>
										<label for="enableRegulation">Enable regulation</label>
										<br>
										<input type="checkbox" id="enableRegulation" name="enableRegulation" checked>
									</div>
								</div>
							</div>
						</div>

						<hr>
						<div>
							<button id="slowFreq">Slow down frequency</button>
						</div>
						<div>
							<button id="speedFreq">Speed up frequency</button>
						</div>
					</div>
					<div class="spacer"></div>
					<div id="logs" class="logs"></div>
				</div>
			</div>
		</div>		
	</body>
</html>
<script src="bundle.js"></script>
